# Create a post

```http
POST https://api.synup.com/api/v4/posts
```

Creates a Google Business Profile post for one or more locations.

The post shape is selected by `input.postType`. See the Announcement, Event and Offer references for the fields each type accepts.

Source: https://developer.synup.com/api/posts/create-a-post

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Content-Type` | string | required |  |

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `input` | one of | required |  |
| `input.postName` | string | required |  |
| `input.locationIds` | array of string | required |  |
| `input.postType` | string | required |  |
| `input.postSites` | array of string | required |  |
| `input.postMessage` | array of object | required |  |
| `input.postMessage[].site` | string | optional |  |
| `input.postMessage[].message` | string | optional |  |
| `input.postContextInfo` | object | required |  |
| `input.postContextInfo.title` | string | required |  |
| `input.postContextInfo.startDay` | string | required |  |
| `input.postContextInfo.startTime` | string | required |  |
| `input.postContextInfo.endDay` | string | required |  |
| `input.postContextInfo.endTime` | string | required |  |
| `input.postContextInfo.couponCode` | string | required |  |
| `input.postContextInfo.redeemUrl` | string | required |  |
| `input.postContextInfo.termsConditions` | string | required |  |
| `input.postCta` | array of object | required |  |
| `input.postCta[].site` | string | optional |  |
| `input.postCta[].type` | string | optional |  |
| `input.postCta[].url` | string | optional |  |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/posts' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "postName": "Grand Opening Announcement",
    "locationIds": [
      "{locationId}"
    ],
    "postType": "ANNOUNCEMENT",
    "postSites": [
      "GOOGLE"
    ],
    "postMessage": [
      {
        "site": "GOOGLE",
        "message": "We are now open!"
      }
    ]
  }
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` |  |
